<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <parent>
    <artifactId>GroIMP</artifactId>
    <groupId>de.grogra</groupId>
    <version>2.1.6</version>
  </parent>

  <artifactId>imp</artifactId>
  <packaging>jar</packaging>

  <name>IMP</name>
  
  <repositories>
  <!-- USE this instead of gitlab-maven for local libs if you don't want to load jars from remote
  -->
  <repository>
    <id>lib-local</id>
    <name>lib</name>
    <url>file://${project.basedir}/lib/</url>
  </repository>
  
  <repository>
    <id>gitlab-maven</id>
    <url>https://gitlab.com/api/v4/groups/55048746/-/packages/maven</url>
  </repository>
</repositories>
	
	<properties>
	    <maven.assembly.plugin.move-lib>generate-resources</maven.assembly.plugin.move-lib>
      <maven.assembly.generate.docbook>generate-resources</maven.assembly.generate.docbook>
      <MarkdownDocFile>documentation.md</MarkdownDocFile>
    </properties>


  <dependencies>
    <dependency>
      <groupId>junit</groupId>
      <artifactId>junit</artifactId>
      <version>4.11</version>
      <scope>test</scope>
    </dependency>
    
    <dependency>
      <groupId>de.grogra</groupId>
      <artifactId>xl.core</artifactId>
      <version>${groimp.core.version}</version>
    </dependency>
    <dependency>
      <groupId>de.grogra</groupId>
      <artifactId>utilities</artifactId>
      <version>${groimp.core.version}</version>
    </dependency>
    <dependency>
      <groupId>de.grogra</groupId>
      <artifactId>graph</artifactId>
      <version>${groimp.core.version}</version>
    </dependency>
    <dependency>
      <groupId>de.grogra</groupId>
      <artifactId>math</artifactId>
      <version>${groimp.core.version}</version>
    </dependency>
    <dependency>
      <groupId>de.grogra</groupId>
      <artifactId>platform</artifactId>
      <version>${groimp.core.version}</version>
    </dependency>
    <dependency>
      <groupId>de.grogra</groupId>
      <artifactId>platform.core</artifactId>
      <version>${groimp.core.version}</version>
    </dependency>
    <dependency>
      <groupId>de.grogra</groupId>
      <artifactId>platform.swing</artifactId>
      <version>${groimp.core.version}</version>
    </dependency>
    <dependency>
      <groupId>de.grogra</groupId>
      <artifactId>vecmath</artifactId>
      <version>${groimp.core.version}</version>
    </dependency>
    
    <dependency>
      <groupId>de.grogra</groupId>
      <artifactId>projectmanager</artifactId>
      <version>[1.3,)</version>
    </dependency>
    
	<dependency>
	    <groupId>mysql</groupId>
	    <artifactId>mysql-connector-java</artifactId>
	    <version>2.0.14</version>
	</dependency>
	
 	<dependency>
	  <groupId>de.grogra.third-party</groupId>
	  <artifactId>jai-imageio</artifactId>
	  <version>1.1</version>
   	</dependency>

	<dependency>
	    <groupId>org.jocl</groupId>
	    <artifactId>jocl</artifactId>
	    <version>2.0.5</version>
	</dependency>

  </dependencies>

  <build>
	  <finalName>${project.name}</finalName>
	  <plugins>        
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-assembly-plugin</artifactId>
            </plugin>
	  </plugins>
  </build>
</project>
